curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup": {
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"mcc": 5814
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac"
payload = { "signup": {
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_options": [{ "currencies": ["NOK"] }],
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"mcc": 5814
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signup: {
case_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_options: [{currencies: ['NOK']}],
merchant_number: 'P12345678',
md5_key: 'ae45ase',
mcc: 5814
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac"
payload := strings.NewReader("{\n \"signup\": {\n \"case_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"merchant_number\": \"P12345678\",\n \"md5_key\": \"ae45ase\",\n \"mcc\": 5814\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signup\": {\n \"case_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"merchant_number\": \"P12345678\",\n \"md5_key\": \"ae45ase\",\n \"mcc\": 5814\n }\n}")
.asString();{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"events": [
{
"event": "signature_required",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "Vipps awaiting signature",
"metadata": {
"signature_link": "https://sig.example.com/K34K244"
}
}
],
"schema": 123,
"configuration": {
"payment_options": [
{
"currencies": [
"NOK"
],
"type": "<string>"
}
],
"merchant_number": "<string>",
"md5_key": "<string>",
"access_token": 123,
"secret_token": "<string>",
"token_scope": "<string>"
},
"direct_signups": [
{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"signup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"callback_at": "2023-11-07T05:31:56Z"
}
],
"signup": {
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"revenue": {
"currency": "NOK",
"yearly_revenue": "100.000-250.000 NOK",
"highest_transaction_amount": "500-1000 NOK",
"average_amount": "250-500 NOK",
"accept_prepaid": true,
"subscriptions_or_memberships": true,
"gift_cards": true
},
"bank_name": "<string>",
"account_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"store_type": [],
"ownership": {
"owners": [
{
"name": "<string>",
"legal_name": "<string>",
"date_of_birth": "1990-09-20",
"percentage": 25
}
]
},
"verifications": {
"terms_and_conditions": true,
"terms_and_conditions_url": "<string>",
"contact_information": true,
"payment_site": true,
"clear_pricing": true,
"payment_product_logos": true
},
"signature": {
"signatures": [
{
"name": "<string>",
"email": "<string>"
}
],
"politically_exposed_person": true,
"politically_exposed_associated": true
},
"applicant": {
"phone_number": "+4799999999"
},
"callback_at": "2023-11-07T05:31:56Z"
},
"submerchant_signups": [
{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"mcc": 5814,
"callback_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Bambora PayFac signup
Initialize Bambora PayFac signup
scopes:
- admin:dintero
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup": {
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"mcc": 5814
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac"
payload = { "signup": {
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_options": [{ "currencies": ["NOK"] }],
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"mcc": 5814
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signup: {
case_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_options: [{currencies: ['NOK']}],
merchant_number: 'P12345678',
md5_key: 'ae45ase',
mcc: 5814
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac"
payload := strings.NewReader("{\n \"signup\": {\n \"case_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"merchant_number\": \"P12345678\",\n \"md5_key\": \"ae45ase\",\n \"mcc\": 5814\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora-payfac")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signup\": {\n \"case_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"merchant_number\": \"P12345678\",\n \"md5_key\": \"ae45ase\",\n \"mcc\": 5814\n }\n}")
.asString();{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"events": [
{
"event": "signature_required",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "Vipps awaiting signature",
"metadata": {
"signature_link": "https://sig.example.com/K34K244"
}
}
],
"schema": 123,
"configuration": {
"payment_options": [
{
"currencies": [
"NOK"
],
"type": "<string>"
}
],
"merchant_number": "<string>",
"md5_key": "<string>",
"access_token": 123,
"secret_token": "<string>",
"token_scope": "<string>"
},
"direct_signups": [
{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"signup_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"callback_at": "2023-11-07T05:31:56Z"
}
],
"signup": {
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"revenue": {
"currency": "NOK",
"yearly_revenue": "100.000-250.000 NOK",
"highest_transaction_amount": "500-1000 NOK",
"average_amount": "250-500 NOK",
"accept_prepaid": true,
"subscriptions_or_memberships": true,
"gift_cards": true
},
"bank_name": "<string>",
"account_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"store_type": [],
"ownership": {
"owners": [
{
"name": "<string>",
"legal_name": "<string>",
"date_of_birth": "1990-09-20",
"percentage": 25
}
]
},
"verifications": {
"terms_and_conditions": true,
"terms_and_conditions_url": "<string>",
"contact_information": true,
"payment_site": true,
"clear_pricing": true,
"payment_product_logos": true
},
"signature": {
"signatures": [
{
"name": "<string>",
"email": "<string>"
}
],
"politically_exposed_person": true,
"politically_exposed_associated": true
},
"applicant": {
"phone_number": "+4799999999"
},
"callback_at": "2023-11-07T05:31:56Z"
},
"submerchant_signups": [
{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"merchant_number": "P12345678",
"md5_key": "ae45ase",
"mcc": 5814,
"callback_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
9Query Parameters
Will allow signing up again even if there are previous pending signups.
Body
Show child attributes
Show child attributes
Response
Bambora Connection
The date-time when the resource was created
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The date-time when the resource was last updated
A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.
The status of the connection
pending, enabled, failed, declined List of events recorded, an event is created when the connection is updated with new status
Show child attributes
Show child attributes
The version of the schema used for the connection
Bambora configuration for the merchant
The Bambora configuration includes a secret_token stored safely and never exposed
Show child attributes
Show child attributes
The Bambora direct signups received for this account.
Show child attributes
Show child attributes
DEPRECATED
Signup object present for Bambora signups with the old POST /connections/bambora endpoint.
Show child attributes
Show child attributes
The signups received for this account
Will be unique per case_id and store_id.
Show child attributes
Show child attributes